%define upstream_name Dist-Zilla-Plugin-GenerateFile-ShareDir
%define upstream_version 0.006

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5

Summary:	Create files in the build, based on a template located in a dist sharedir
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Module::Build) >= 0.400.400
BuildRequires:	perl(MooseX::SlurpyConstructor)
BuildRequires:	perl(Test::DZil)
BuildRequires:	perl(Test::File::ShareDir)

BuildArch:	noarch

%description
Create files in the build, based on a template located in a dist sharedir.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.6.0-5.mga8
+ Revision: 1494295
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.6.0-4.mga7
+ Revision: 1267526
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.6.0-3.mga6
+ Revision: 1026204
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.6.0-2.mga6
+ Revision: 968223
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.6.0-1.mga6
+ Revision: 851650
- imported package perl-Dist-Zilla-Plugin-GenerateFile-ShareDir

